Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.dialog
Class AbstractDialog

    java.lang.Object
      |
      +--org.jbrain.qlink.dialog.AbstractDialog

Direct Known Subclasses:
  EntryDialog, InfoDialog, YesNoDialog

public abstract class AbstractDialog
extends java.lang.Object

Field Summary
`protected int` | `_iFormat`
`protected TextFormatter` | `_text`
`static int` | `FORMAT_CENTERED`
`static int` | `FORMAT_JUSTIFIED`
`static int` | `FORMAT_NONE`
`static int` | `TYPE_CHAT`
`static int` | `TYPE_LOGIN`
`static int` | `TYPE_MENU`

Constructor Summary
`AbstractDialog(java.lang.String name, int dialogType)`
`AbstractDialog(java.lang.String name, int dialogType, int format)`

Method Summary
`void` | `addText(java.lang.String text)`
`int` | `getDialogType()`
`java.lang.String` | `getName()`
`Action` | `getPrepAction()`
`abstract Action` | `getResponseAction()`
`Action[]` | `getSuccessResponse(java.lang.String string)`
`Action[]` | `getTextActions()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FORMAT_CENTERED

    public static final int FORMAT_CENTERED

See Also:
  Constant Field Values

### FORMAT_NONE

    public static final int FORMAT_NONE

See Also:
  Constant Field Values

### FORMAT_JUSTIFIED

    public static final int FORMAT_JUSTIFIED

See Also:
  Constant Field Values

### TYPE_LOGIN

    public static final int TYPE_LOGIN

See Also:
  Constant Field Values

### TYPE_MENU

    public static final int TYPE_MENU

See Also:
  Constant Field Values

### TYPE_CHAT

    public static final int TYPE_CHAT

See Also:
  Constant Field Values

### _text

    protected TextFormatter _text

### _iFormat

    protected int _iFormat

Constructor Detail

### AbstractDialog

    public AbstractDialog(java.lang.String name,
                          int dialogType)

### AbstractDialog

    public AbstractDialog(java.lang.String name,
                          int dialogType,
                          int format)

Method Detail

### getName

    public java.lang.String getName()

### addText

    public void addText(java.lang.String text)

### getPrepAction

    public Action getPrepAction()

### getTextActions

    public Action[] getTextActions()

### getDialogType

    public int getDialogType()

### getResponseAction

    public abstract Action getResponseAction()

### getSuccessResponse

    public Action[] getSuccessResponse(java.lang.String string)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD